---

inputType: "CA10__CaGoogleGceFirewallRule__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10__CaGoogleGceFirewallRule__c/object.extracts.yaml"
conditions:
  - status: "COMPLIANT"
    currentStateMessage: "Firewall Rule logging is enabled."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__logState__c"
        right:
          TEXT: "Enabled"
otherwise:
  status: "INCOMPLIANT"
  currentStateMessage: "Firewall Rule logging is disabled."
  remediationMessage: "Enable logging for the Firewall Rule."
